import { Box } from "@mui/material";
import { useParams } from "react-router-dom";
import QuizAnswerer from "../lib/components/QuizAnswerer";

// const defaultQuizId = "45ef7f9c-784d-4e58-badb-f6b337f08ba0"; // branching
// const defaultQuizId = "b7dafa46-a535-4beb-b289-65253d14a951"; //looooong header
const defaultQuizId = "3c49550d-8c77-4788-bc2d-42586a261514"; //тест визуала
// const defaultQuizId = "ad7f5a87-b833-4f5b-854e-453706ed655c"; // linear

export default function App() {
  const quizId = useParams().quizId || "";
  const currentUrl = window.location.pathname.slice(1);

  return (
    <Box
      sx={{
        height: "100dvh",
      }}
    >
      <QuizAnswerer
        quizId={quizId || currentUrl || ""}
        changeFaviconAndTitle={true}
      />
    </Box>
  );
}
